%{?mingw_package_header}

%global pkgname leptonica

Name:          mingw-%{pkgname}
Version:       1.80.0
Release:       %mkrel 2
Summary:       MinGW Windows Leptonica library

License:       Leptonica
Group:         Development/Other
BuildArch:     noarch
URL:           https://github.com/danbloomberg/leptonica
Source0:       https://github.com/DanBloomberg/leptonica/archive/%{version}/%{pkgname}-%{version}.tar.gz

# Until new upstream version is released with Patch0
BuildRequires: autoconf
BuildRequires: automake
BuildRequires: libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-libjpeg-turbo
BuildRequires: mingw32-libtiff
BuildRequires: mingw32-libpng
BuildRequires: mingw32-zlib
BuildRequires: mingw32-giflib
BuildRequires: mingw32-libwebp

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-libjpeg-turbo
BuildRequires: mingw64-libtiff
BuildRequires: mingw64-libpng
BuildRequires: mingw64-zlib
BuildRequires: mingw64-giflib
BuildRequires: mingw64-libwebp


%description
MinGW Windows Leptonica library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows Leptonica library

%description -n mingw32-%{pkgname}
MinGW Windows Leptonica library.


%package -n mingw32-%{pkgname}-static
Summary:       Static version of the MinGW Windows Leptonica library
Requires:      mingw32-%{pkgname} = %{version}-%{release}

%description -n mingw32-%{pkgname}-static
Static version of the MinGW Windows Leptonica library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows Leptonica library

%description -n mingw64-%{pkgname}
MinGW Windows Leptonica library.


%package -n mingw64-%{pkgname}-static
Summary:       Static version of the MinGW Windows Leptonica library
Requires:      mingw64-%{pkgname} = %{version}-%{release}

%description -n mingw64-%{pkgname}-static
Static version of the MinGW Windows Leptonica library.


%{?mingw_debug_package}


%prep
%setup -q -n %{pkgname}-%{version}


%build
autoreconf -ifv
%mingw_configure
%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}

# Delete *.la files
find %{buildroot} -name '*.la' -exec rm -f {} ';'

# Delete *.exe files
rm -rf %{buildroot}%{mingw32_bindir}/*.exe
rm -rf %{buildroot}%{mingw64_bindir}/*.exe


%files -n mingw32-%{pkgname}
%license leptonica-license.txt
%doc README.html version-notes.html
%{mingw32_bindir}/liblept-5.dll
%{mingw32_includedir}/leptonica/
%{mingw32_libdir}/liblept.dll.a
%{mingw32_libdir}/pkgconfig/lept.pc
%{mingw32_libdir}/cmake/LeptonicaConfig-version.cmake
%{mingw32_libdir}/cmake/LeptonicaConfig.cmake

%files -n mingw32-%{pkgname}-static
%{mingw32_libdir}/liblept.a
%{mingw32_libdir}/libleptonica.a

%files -n mingw64-%{pkgname}
%license leptonica-license.txt
%doc README.html version-notes.html
%{mingw64_bindir}/liblept-5.dll
%{mingw64_includedir}/leptonica/
%{mingw64_libdir}/liblept.dll.a
%{mingw64_libdir}/pkgconfig/lept.pc
%{mingw64_libdir}/cmake/LeptonicaConfig-version.cmake
%{mingw64_libdir}/cmake/LeptonicaConfig.cmake

%files -n mingw64-%{pkgname}-static
%{mingw64_libdir}/liblept.a
%{mingw64_libdir}/libleptonica.a


%changelog
* Sat Sep 26 2020 tv <tv> 1.80.0-2.mga8
+ Revision: 1630264
- rebuild for new mingw stack

* Fri Jul 31 2020 daviddavid <daviddavid> 1.80.0-1.mga8
+ Revision: 1609951
- new version: 1.80.0

* Wed Feb 19 2020 umeabot <umeabot> 1.79.0-2.mga8
+ Revision: 1542856
- Mageia 8 Mass Rebuild

* Tue Jan 07 2020 daviddavid <daviddavid> 1.79.0-1.mga8
+ Revision: 1477107
- new version: 1.79.0

* Fri Mar 22 2019 daviddavid <daviddavid> 1.78.0-1.mga7
+ Revision: 1379525
- new version: 1.78.0

* Sun Dec 30 2018 daviddavid <daviddavid> 1.77.0-1.mga7
+ Revision: 1346619
- new version: 1.77.0

* Thu Sep 20 2018 umeabot <umeabot> 1.76.0-3.mga7
+ Revision: 1279830
- Mageia 7 Mass Rebuild

* Sun Jun 17 2018 daviddavid <daviddavid> 1.76.0-2.mga7
+ Revision: 1237424
- rebuild for new mingw-libwebp

* Thu Jun 07 2018 barjac <barjac> 1.76.0-1.mga7
+ Revision: 1235240
- new version 1.76.0

* Thu Mar 15 2018 barjac <barjac> 1.75.3-1.mga7
+ Revision: 1209757
- new version 1.75.3

* Mon Feb 19 2018 barjac <barjac> 1.75.2-1.mga7
+ Revision: 1203210
- new version 1.75.2

* Wed May 11 2016 tv <tv> 1.73-2.mga6
+ Revision: 1012919
- rebuild for new mingw-{giflib,libwebp}

* Wed May 11 2016 tv <tv> 1.73-1.mga6
+ Revision: 1012704
- new release

* Wed Feb 03 2016 umeabot <umeabot> 1.69-8.mga6
+ Revision: 933351
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.69-7.mga5
+ Revision: 746916
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.69-6.mga5
+ Revision: 682466
- Mageia 5 Mass Rebuild

* Mon Oct 28 2013 neoclust <neoclust> 1.69-5.mga4
+ Revision: 547699
- imported package mingw-leptonica

